Bug 56064 - Missing mfapi.h header for milter
Summary: Missing mfapi.h header for milter
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-12 11:40 UTC by Julio Sanchez Fernandez
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-12 11:40:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Julio Sanchez Fernandez 2001-11-12 11:40:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en]C-STL/0.3  (WinNT; U)

Description of problem:
The sendmail update, sendmail-8.11.6-2.7.1, features the milter FFR and provides the two libraries needed to use this facility.

Unfortunately, the needed header /usr/include/mfapi.h is missing, so it is impossible to compile a milter program and the included *static* 
libraries are nearly useless.


Version-Release number of selected component (if applicable):
8.11.6-2.7.1

How reproducible:
Always

Steps to Reproduce:
1.rpm -ql sendmail | grep include
2.
3.
	

Actual Results:  Nathing is returned

Expected Results:  A line such as:

/usr/include/mfapi.h

should have been in the output

Additional info:

Comment 1 Florian La Roche 2001-12-07 21:15:08 UTC
Fixed in rawhide 8.11.6-5 or newer. I will probably also work on an errata rpm
for older releases.

Thanks for this bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.